<div class="button-new-location__content">
  {{#if showMap}}
    <div class="button-new-location__map-search-bar">
      <div class="row">
        {{place-autocomplete-field
          classNames="input col"
          inputClass='input__input col'
          value=inputAddress
          setValueWithProperty='formatted_address'
          handlerController=this
          withGeoLocate=true
          placeholder=autocompletePlaceholder
          disabled=isSearching
          placeChangedCallback=(action 'placeChangedCallback')
        }}
      </div>
    </div>
    {{#if hasBounds}}
      {{#leaflet-map
        bounds=mapBounds
        onLoad=(action 'onMapLoad')
        minZoom=3
        zoomControl=false
        dragging=true
        class="button-new-location__map"
        scrollWheelZoom=false
        as |layers|
      }}
        {{tile-layer url="https://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}.png" attribution='&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'}}
        {{#layers.marker
          draggable=false
          location=draggableMarkerLocation
          onDragend=(action 'onDragEnd')
          icon=(div-icon
            html=(button-icon  'button' 'button.creator.avatar' 'neutro')
            iconSize=(point 50 60) iconAnchor=(point 25 60)
          )
         }}
        {{/layers.marker}}
        {{#if showSecondMarker}}
          {{#layers.marker
            draggable=false
            location=draggableRedMarkerLocation
            onDragend=(action 'onDragEndSecondMarker')
            icon=(div-icon
              html=(button-icon 'button' 'button.creator.avatar' 'neutro')
              iconSize=(point 50 60) iconAnchor=(point 25 60)
            )
           }}
          {{/layers.marker}}
        {{/if}}
      {{/leaflet-map}}
    {{else}}
      <div class="button-new-location__map-loading-location-text">
        <strong>Localizando su posición...</strong>
      </div>
    {{/if}}
    <div class="button-new-location__map-buttons">
      {{#if showSecondMarker}}
        <button class="button-sample border-0" {{action 'removeSecondMarker'}} type="button" name="button">
          Cancelar
        </button>
      {{else}}
        <button class="button-sample border-0" {{action 'cancelMarkerLocation'}} type="button" name="button">
          Cancelar
        </button>
      {{/if}}
      {{#if isLocationToLocation}}
        <button class="button-sample border-0 button-new-location__map-left-button" {{action 'nextMarker'}} type="button" name="button">
          Siguiente marcador
        </button>
      {{else}}
        <button class="button-sample border-0 button-new-location__map-left-button" {{action 'nextStep'}} type="button" name="button">
          Aceptar {{loading-overlay showOverlay=isLoading class=(if isLoading "col-12 text-center button-new-location__loading-spinner" "d-none")}}
        </button>
      {{/if}}
    </div>
  {{else}}
    <div class="button-new-location__body-svg-container" style="{{svgMaxHeight}}">
      {{svg-jar 'map' class="button-new-location__body-svg-image"}}
    </div>
    <div class="container button-new-location__body" id="typeContent">
      <div class="row h-100 align-items-end">
        <div class="col-12 button-new-location__buttons">
          <p class="button-new-location__text mb-3">
            ¿Dónde?
          </p>
          {{#radio-button
              value="anyLocation"
              groupValue=buttonLocation
              classNames="radio-button__label"
              radioClass="radio-button__radio-button"
              changed="nextStep"
          }}
            <button {{action 'nextStep' "anyLocation"}} class="radio-button__content">
              <div class="radio-button__icon">
                {{svg-jar "button_list" class=(if (is-equal buttonLocation "anyLocation") "button-new-location__radio-icons button-new-location__radio-icons--filled" "button-new-location__radio-icons")}}
              </div>
              <div class="radio-button__text">
                  No importa  <!--  {{loading-overlay showOverlay=isLoading class=(if isLoading "col-12 text-center button-new-location__loading-spinner" "d-none")}} -->
              </div>
            </button>
          {{/radio-button}}
          {{#radio-button
              value="userLocation"
              groupValue=buttonLocation
              classNames="radio-button__label"
              radioClass="radio-button__radio-button"
              changed="nextStep"
          }}
            <button {{action 'nextStep' "userLocation"}} class="radio-button__content">
              <div class="radio-button__icon">
                {{svg-jar "my_place" class=(if (is-equal buttonLocation "userLocation") "button-new-location__radio-icons button-new-location__radio-icons--filled" "button-new-location__radio-icons")}}
              </div>
              <div class="radio-button__text">
                Cerca de mí (te sigo) <!--  {{loading-overlay showOverlay=isLoading class=(if isLoading "col-12 text-center button-new-location__loading-spinner" "d-none")}} -->
              </div>
            </button>
          {{/radio-button}}
          {{#radio-button
              value="mapLocation"
              groupValue=buttonLocation
              classNames="radio-button__label"
              radioClass="radio-button__radio-button"
              changed=(action 'toggleProperty' 'showMap')
          }}
            <button {{action 'activeMapLocation' "mapLocation" 'showMap'}} class="radio-button__content">
              <div class="radio-button__icon">
                {{svg-jar "here" class=(if (is-equal buttonLocation "mapLocation") "button-new-location__radio-icons button-new-location__radio-icons--filled" "button-new-location__radio-icons")}}
              </div>
              <div class="radio-button__text">
                {{#if mapLocationBool}}
                    {{button.locationName}}
                {{else}}
                  En un lugar concreto
                {{/if}}
              </div>
            </button>
          {{/radio-button}}
          {{#radio-button
              value="fromLocationToLocation"
              groupValue=buttonLocation
              classNames="radio-button__label"
              radioClass="radio-button__radio-button"
              changed=(action 'toggleProperty' 'showMap')
          }}
            <button {{action 'activeMapLocation' "fromLocationToLocation" 'showMap'}} class="radio-button__content">
              <div class="radio-button__icon">
                {{svg-jar "from_to" class=(if (is-equal buttonLocation "fromLocationToLocation") "button-new-location__radio-icons button-new-location__radio-icons--filled" "button-new-location__radio-icons")}}
              </div>
              <div class="radio-button__text">
                {{#if isLocationToLocation}}
                  De {{button.locationName}} A {{button.toLocationName}}
                {{else}}
                  Desde / Hasta
                {{/if}}
              </div>
            </button>
          {{/radio-button}}
          {{#if isLoading}}
            {{loading-overlay showOverlay=isLoading class=(if isLoading "col-12 text-center loading-overlay__load-over-map")}}
          {{/if}}
          <!-- <div class="col-12 mt-3 px-0">
            {{#if showMapButton}}
              <button class="button-sample border-0 button-new-location__next-step-btn" {{action 'toggleProperty' 'showMap'}} type="button" name="button">
                Seleccionar en mapa
              </button>
            {{else}}
              <button class="button-sample border-0 button-new-location__next-step-btn" {{action 'nextStep'}} type="button" name="button" disabled={{isNextButtonDisabled}}>
                Siguiente {{loading-overlay showOverlay=isLoading class=(if isLoading "col-12 text-center button-new-location__loading-spinner" "d-none")}}
              </button>
            {{/if}}
          </div> -->
        </div>
      </div>
    </div>
  {{/if}}
</div>
